import request from '@/utils/request.js'

// 获取今日病人列表
export function getList(data) {
    return request({
        url: `/outpatient/recordsMgr/listPain?limit=${data.limit}&page=${data.page}`,
        method: 'post',
        data
    })
};
// 获取 今日病人列表 权限按钮
export function getTodayPButtonP(data) {
    return request({
        url: '/outpatient/recordsMgr/GetButtonRight',
        method: 'post',
        data
    })
};

// 获取患者库列表数据
export function getPatientPool(data) {
    return request({
        url: `/basis/patientMgr/listPain?limit=${data.limit}&page=${data.page}`,
        method: 'post',
        data
    })
};

// 患者库添加
export function addPatientPool(data) {
    return request({
        url: '/basis/patientMgr/Add',
        method: 'post',
        data
    })
};

// 获取患者信息
export function getPatientMsg(data) {
    return request({
        url: `/basis/patientMgr/${data}`,
        method: 'get'
    })
};

// 患者库编辑
export function editPatientPool(data) {
    return request({
        url: '/basis/patientMgr/update',
        method: 'post',
        data
    })
};

// 获取患者库 权限按钮
export function getPtiensBRight(data) {
    return request({
        url: '/basis/patientMgr/GetButtonRight',
        method: 'post',
        data
    })
};

// 就诊操作
export function seeDoctor(params) {
    return request({
        url: '/outpatient/recordsMgr/seeClinicToday',
        method: 'post',
        data: params
    })
};

// 挂号操作
export function registration(params) {
    return request({
        url: '/basis/patientMgr/registered',
        method: 'post',
        data: params
    })
}


// 患者库就诊
export function seeDoctor1(params) {
    return request({
        url: '/basis/patientMgr/seeClinic',
        method: 'post',
        data: params
    })
};

// 获取病人 就诊记录
export function getPatiensVisitList(data) {
    return request({
        url: `/test/outpatient/patientVisitRecords?page=${data.page}&limit=${data.limit}&patientId=${data.patientId}`,
        method: 'post',
        data
    })
}